#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Jan 19 14:14:36 2017

@author: rgb
"""
import nazca as nd

# 'a0' is the default input to connect a cell.
# 'b0' is the default output to connect a cell.
#
# If 'a0' is not set by the user it defaults to 'a0' -> (0, 0, 180).
# If 'b0' is not set by the user it defaults to 'b0' -> (0, 0, 0).

# If a cell is supposed to behave like a 'mask'.
# rather than like a 'component', it will not chain connect:
# nd.Cell('test', celltype='mask')
# it will set the defaultio  pin to 'org'

with nd.Cell('test1') as test1:
    s = nd.strt(20).put((20, 20, 30))
    p = nd.Pin('a0').put(s.pin['a0'])

with nd.Cell('test2', celltype='mask') as test2:
    s = nd.strt(20).put((20, 20, 60))
    p = nd.Pin('a0').put(s.pin['a0'])

with nd.Cell('test3', celltype='mask') as test3:
    s = nd.strt(20).put((20, 20, 90))

test1.put((0, 0, 0)) # place 'a0' (located at waveguide s.pin['a0'] in test1) in nazca (0,0,0)
test2.put((0, 0, 0)) # place 'org' (of test2) in nazca (0,0,0)
test3.put((0, 0, 0)) # place 'a0' (located at org.rot(180) in test3) in nazca (0,0,0)

nd.export_gds()