#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Example of autoadapting Interconnects.

@author: rgb
"""


import nazca as nd
import nazca.interconnects as IC
import nazca.demofab.pdk as demo


ics = IC.Interconnect(xs='Shallow', radius=50, width=2.0)
icd = IC.Interconnect(xs='Deep', radius=100, width=1.5)
icadapt = IC.Interconnect(xs='Shallow', radius=50, width=4.0,
    adapt_width=True, adapt_xs=True)

XSshal = nd.getXS('Shallow')
XSshal.os = 0.25

XSdeep = nd.getXS('Deep')
XSdeep.os = 0.1


#cell wigh shallow-2-deep transistion
with nd.Cell('adapt1') as C1:
    a1 = icd.strt(50).put(0)
    icadapt.bend(angle=-25).put()
    demo.d2s().put()
    icadapt.bend(radius=20, angle=25).put()
    demo.s2d().put()
    icadapt.strt().put()
    demo.d2s().put()
    icadapt.strt().put()


#interconnects, reuse a description voor multiple xs.
def shape(xs='Shallow'):
    with nd.Cell('adapt2') as C2:
        ics.strt(25, xs=xs).put(0)
        icadapt.taper(length=25, width2=5).put()
        icadapt.strt(length=25).put()
        icadapt.ptaper(length=8, width2=10).put()
        icadapt.strt(length=25).put()
        icadapt.bend(angle=-25).put()
        icadapt.ptaper(length=25).put()
        icadapt.strt(length=25).put()
        icadapt.bend(angle=25).put()
        icadapt.strt(length=25).put()
    return C2


#connection to BBs.
with nd.Cell('adapt3') as C3:
    demo.mmi2x2_dp().put(0)
    icadapt.ptaper().put()
    icadapt.strt(length=100).put()

    demo.mmi2x2_dp().put(0, 80)
    icadapt.ptaper().put()
    icadapt.strt(length=200).put()


C1.put(0)
shape('Shallow').put(0, 100)
shape('Deep').put(0, 200)
shape('MetalDC').put(0, 300)
C3.put(0, 400)

nd.export_gds()

