#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sat Apr 22 13:12:16 2017
@author: rgb

Load an AWG BB and its pin file, and connect it in a layout
"""


import nazca as nd
import nazca.demofab.pdk as demo

nd.add_layer2xsection('Deep', layer=1)
nd.add_layer2xsection('Deep', layer=20, growx=14)
nd.add_xsection_stub('Deep', 'xs2')

nd.add_layer2xsection('xs2', layer=2)

AWG = nd.load_gdsBB(
    gdsfilename=demo.gds_path+'/AWG_1x4.gds',
    cellname='awg',
    pinfilename=demo.gds_path+'/AWG_1x4_200GHz_.coordinates_nazca.txt')

A = AWG.put('org', 100, 100, 20)

#connect AWG waveguides based on xsection and width info in the pin.
for name, p in A.pin.items():
    if 'a' in name or 'b' in name:
        nd.strt(length=100, width=p.width, xs=p.xs).put(p)

nd.export_gds()

