#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sun Sep 17 11:54:37 2017

@author: rgb
"""

# Import the Nazca framework in namespace nd
import nazca as nd
import matplotlib.pyplot as plt

nd.add_layer(name='lay1', layer=1)
nd.add_layer(name='lay2', layer=2, accuracy=0.01)

nd.add_xsection_layer(xsection='xsec1', layer=1)
nd.add_xsection_layer(xsection='xsec1', layer=2, growx=3)

nd.add_xsection_layer(xsection='xsec2', layer=1)

# Put some straight (sw) and curved (cw) waveguides:
nd.strt(length=30,  xs='xsec1').put()
nd.bend(angle=180,  xs='xsec1').put()
nd.strt(length=10,  xs='xsec2').put()
nd.bend(angle=-180, xs='xsec2').put()
nd.strt(length=50,  xs='xsec2').put()


nd.export_plt(clear=False)

nd.set_layercolor(layer=1, fill_color='#00FF00', frame_color='#0000FF', width=2)
nd.set_layercolor(layer=2, fill_color='#FF0000')

# See what colors settings we added:
nd.show_layercolors()

nd.export_plt(clear=False)