# Distutils setup script.
#
# run as
#   python3 setup.py sdist --formats=gztar,zip
#
from distutils.core import setup
#from setuptools import setup
from nazca._version import __version__
setup(
        name = 'nazca',
        packages = ['nazca', 'nazca.demofab', 'nazca.demopackager',
        'nazca.pixapp'],
        package_data = {
            'nazca': ['*.csv', '*.nft', '*.gds'],
            'nazca.demofab': ['*.csv', '*.lyp', '*.gds', 'gdsBB/*.gds'],
            'nazca.demopackager': ['*.csv', '*.lyp', '*.gds'],
            },
#        include_package_data = True,
        requires = ['numpy', 'scipy', 'pandas', 'matplotlib'],
        version = __version__,
        description = 'Nazca design',
        author = 'Ronald Broeke, Xaveer Leijtens',
        author_email = 'R.G.Broeke@gmail.com, X.Leijtens@gmail.com',
        url = 'http://nazcadesign.org',
        license = 'AGPLv3+',
        classifiers = ['Programming Language :: Python',
          'Programming Language :: Python :: 3',
          'License :: OSI Approved :: GNU Affero General Public License v3 or later (AGPLv3+)',
          'Operating System :: OS Independent',
          'Development Status :: 3 - Alpha',
          'Topic :: Scientific/Engineering',
          'Topic :: Scientific/Engineering :: Photonic Design Automation (PDA)',
          ],
        )

